Handbrake doesn't remember the source folder after today's packages update

Support for HandBrake on Linux, Solaris, and other Unix-like platforms
Forum rules
An Activity Log is required for support requests. Please read How-to get an activity log? for details on how and why this should be provided.
Post Reply
Valso
Posts: 15
Joined: Sat Jul 11, 2020 8:47 am

Handbrake doesn't remember the source folder after today's packages update

Post by Valso »

Description of problem or question:
After package update in the last 2 days Handbrake stopped remembering the source folder and now if I wanna convert the whole season of a TV show, I have to manually browse the folder path to each episode in order to add it in the queue.
That WASN'T a problem 3 days ago when I was converting another season of the same TV show, so the cause must be in these packages update.
Example: I was converting Wynonna Earp seasons to fit on a 25GB BDR. The seasons folder is in "/media/390GB/СЕРИАЛИ/WYNONNA EARP/Season 1", "/Season 2" and so on. Until 2 days ago clicking the "open source" button of Handbrake did remember that path. But now, since the update, every time I click that button, it shows the home folder instead of the path I mentioned. So I have to manually navigate the path for each episode. For a season of 13 episodes it's kind of OK to do navigate it repeatedly but I have to convert more episodes and this will get very annoying very quickly.



Steps to reproduce the problem (If Applicable):
I'm not sure what caused the problem, so no steps.



HandBrake version (e.g., 1.0.0):
1.3.3 (x86_64) from Arch repository.



Operating system and version (e.g., Ubuntu 16.04 LTS, macOS 10.13 High Sierra, Windows 10 Creators Update):
Arch Linux x64.



HandBrake Activity Log ***required*** (see How-to get an activity log)
No H log, the problem isn't related to converting. However, I can provide a pacman log, hopefully you can identify which package caused the problem.

Code: Select all

[2021-04-09T07:45:26+0300] [PACMAN] synchronizing package lists
[2021-04-09T07:45:27+0300] [PACMAN] starting full system upgrade
[2021-04-09T07:45:31+0300] [ALPM] transaction started
[2021-04-09T07:45:31+0300] [ALPM] upgraded cbindgen (0.18.0-1 -> 0.19.0-1)
[2021-04-09T07:45:31+0300] [ALPM] upgraded cmake (3.20.0-1 -> 3.20.1-1)
[2021-04-09T07:45:31+0300] [ALPM] upgraded lib32-libxkbcommon (1.1.0-1 -> 1.2.1-1)
[2021-04-09T07:45:31+0300] [ALPM] upgraded qt5-base (5.15.2+kde+r171-1 -> 5.15.2+kde+r171-2)
[2021-04-09T07:45:31+0300] [ALPM] upgraded vala (0.52.0-1 -> 0.52.1-1)
[2021-04-09T07:45:32+0300] [ALPM] transaction completed
[2021-04-09T07:45:32+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-09T07:45:32+0300] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-04-09T07:45:32+0300] [ALPM] running 'update-desktop-database.hook'...
[2021-04-09T07:45:32+0300] [ALPM] running 'update-mime-database.hook'...
[2021-04-09T09:56:03+0300] [PACMAN] Running '/usr/bin/pacman -S --asdeps python-dateutil python-google-api-python-client python-oauth2client'
[2021-04-09T09:56:05+0300] [ALPM] transaction started
[2021-04-09T09:56:05+0300] [ALPM] installed python-dateutil (2.8.1-5)
[2021-04-09T09:56:05+0300] [ALPM] installed python-pyasn1 (0.4.8-4)
[2021-04-09T09:56:05+0300] [ALPM] installed python-pyasn1-modules (0.2.8-4)
[2021-04-09T09:56:05+0300] [ALPM] installed python-rsa (4.7.2-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-cachetools (4.2.1-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-google-auth (1.28.0-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-httplib2 (0.19.1-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-google-auth-httplib2 (0.1.0-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-uritemplate (3.0.1-3)
[2021-04-09T09:56:05+0300] [ALPM] installed python-urllib3 (1.26.4-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-chardet (4.0.0-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-idna (3.1-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-requests (2.25.1-1)
[2021-04-09T09:56:05+0300] [ALPM] installed protobuf (3.15.7-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-protobuf (3.15.7-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-googleapis-common-protos (1.53.0-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-google-api-core (1.26.1-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-google-api-python-client (1.12.8-1)
[2021-04-09T09:56:05+0300] [ALPM] installed python-oauth2client (4.1.3-6)
[2021-04-09T09:56:05+0300] [ALPM] transaction completed
[2021-04-09T09:56:05+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-09T09:56:05+0300] [PACMAN] Running '/usr/bin/pacman -S --asdeps python-pip'
[2021-04-09T09:56:08+0300] [ALPM] transaction started
[2021-04-09T09:56:08+0300] [ALPM] installed python-msgpack (1.0.2-2)
[2021-04-09T09:56:08+0300] [ALPM] installed python-cachecontrol (0.12.6-3)
[2021-04-09T09:56:08+0300] [ALPM] installed python-colorama (0.4.4-3)
[2021-04-09T09:56:08+0300] [ALPM] installed python-contextlib2 (0.6.0.post1-3)
[2021-04-09T09:56:08+0300] [ALPM] installed python-distlib (0.3.1-2)
[2021-04-09T09:56:08+0300] [ALPM] installed python-distro (1.5.0-3)
[2021-04-09T09:56:08+0300] [ALPM] installed python-html5lib (1.1-6)
[2021-04-09T09:56:08+0300] [ALPM] installed python-toml (0.10.2-3)
[2021-04-09T09:56:08+0300] [ALPM] installed python-pep517 (0.10.0-1)
[2021-04-09T09:56:08+0300] [ALPM] installed python-progress (1.5-5)
[2021-04-09T09:56:08+0300] [ALPM] installed python-retrying (1.3.3-9)
[2021-04-09T09:56:08+0300] [ALPM] installed python-resolvelib (0.5.4-1)
[2021-04-09T09:56:08+0300] [ALPM] installed python-ply (3.11-7)
[2021-04-09T09:56:08+0300] [ALPM] installed python-pycparser (2.20-3)
[2021-04-09T09:56:08+0300] [ALPM] installed python-cffi (1.14.5-1)
[2021-04-09T09:56:08+0300] [ALPM] installed python-cryptography (3.4.7-1)
[2021-04-09T09:56:08+0300] [ALPM] installed python-pyopenssl (20.0.1-1)
[2021-04-09T09:56:08+0300] [ALPM] installed python-pip (20.3.1-1)
[2021-04-09T09:56:08+0300] [ALPM] transaction completed
[2021-04-09T09:56:08+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-09T09:56:12+0300] [PACMAN] Running '/usr/bin/pacman -U /tmp/trizen-rado/gcalendar/gcalendar-0.4.1-1-any.pkg.tar.zst'
[2021-04-09T09:56:13+0300] [ALPM] transaction started
[2021-04-09T09:56:13+0300] [ALPM] installed gcalendar (0.4.1-1)
[2021-04-09T09:56:13+0300] [ALPM] transaction completed
[2021-04-09T09:56:13+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-09T09:57:14+0300] [PACMAN] Running 'pacman -Rsn gcalendar'
[2021-04-09T09:57:14+0300] [ALPM] transaction started
[2021-04-09T09:57:15+0300] [ALPM] removed gcalendar (0.4.1-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-oauth2client (4.1.3-6)
[2021-04-09T09:57:15+0300] [ALPM] removed python-google-api-python-client (1.12.8-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-uritemplate (3.0.1-3)
[2021-04-09T09:57:15+0300] [ALPM] removed python-google-auth-httplib2 (0.1.0-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-httplib2 (0.19.1-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-google-api-core (1.26.1-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-googleapis-common-protos (1.53.0-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-protobuf (3.15.7-1)
[2021-04-09T09:57:15+0300] [ALPM] removed protobuf (3.15.7-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-google-auth (1.28.0-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-cachetools (4.2.1-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-rsa (4.7.2-1)
[2021-04-09T09:57:15+0300] [ALPM] removed python-pyasn1-modules (0.2.8-4)
[2021-04-09T09:57:15+0300] [ALPM] removed python-pyasn1 (0.4.8-4)
[2021-04-09T09:57:15+0300] [ALPM] removed python-dateutil (2.8.1-5)
[2021-04-09T09:57:15+0300] [ALPM] transaction completed
[2021-04-09T09:57:15+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-09T10:21:18+0300] [PACMAN] Running '/usr/bin/pacman -S korganizer'
[2021-04-09T10:21:30+0300] [ALPM] transaction started
[2021-04-09T10:21:30+0300] [ALPM] installed xerces-c (3.2.3-2)
[2021-04-09T10:21:30+0300] [ALPM] installed libkolabxml (1.1.6-15)
[2021-04-09T10:21:30+0300] [ALPM] installed kdav (1:5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed signond (8.60-3)
[2021-04-09T10:21:30+0300] [ALPM] installed signon-kwallet-extension (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed signon-plugin-oauth2 (0.25-1)
[2021-04-09T10:21:30+0300] [ALPM] installed libaccounts-glib (1.25-3)
[2021-04-09T10:21:30+0300] [ALPM] installed libaccounts-qt (1.16-2)
[2021-04-09T10:21:30+0300] [ALPM] installed signon-ui (0.17+20171022-2)
[2021-04-09T10:21:30+0300] [ALPM] installed kaccounts-integration (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed libakonadi (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kmime (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed akonadi-mime (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed ksmtp (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kcalendarcore (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kcontacts (1:5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed libkgapi (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kmailtransport (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed syntax-highlighting (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kpimtextedit (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kidentitymanagement (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed grantlee (5.2.0-3)
[2021-04-09T10:21:30+0300] [ALPM] installed kcalutils (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed libdmtx (0.7.5-2)
[2021-04-09T10:21:30+0300] [ALPM] installed qrencode (4.1.1-1)
[2021-04-09T10:21:30+0300] [ALPM] installed prison (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed grantleetheme (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed qgpgme (1.15.1-1)
[2021-04-09T10:21:30+0300] [ALPM] installed libkleo (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed akonadi-contacts (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed akonadi-calendar (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kholidays (1:5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kalarmcal (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kmbox (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed libkdepim (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kimap (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kldap (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed xapian-core (1:1.4.18-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kactivities (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed kirigami2 (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed plasma-framework (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed threadweaver (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed krunner (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed akonadi-search (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed accounts-qml-module (0.7-3)
[2021-04-09T10:21:30+0300] [ALPM] installed purpose (5.80.0-1)
[2021-04-09T10:21:30+0300] [ALPM] installed pimcommon (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed akonadi-notes (20.12.3-1)
[2021-04-09T10:21:30+0300] [ALPM] installed jemalloc (1:5.2.1-3)
[2021-04-09T10:21:30+0300] [ALPM] installed mariadb-clients (10.5.9-1)
[2021-04-09T10:21:31+0300] [ALPM] installed mariadb (10.5.9-1)
[2021-04-09T10:21:31+0300] [ALPM-SCRIPTLET] :: You need to initialize the MariaDB data directory prior to starting
[2021-04-09T10:21:31+0300] [ALPM-SCRIPTLET]    the service. This can be done with mariadb-install-db command, e.g.:
[2021-04-09T10:21:31+0300] [ALPM-SCRIPTLET]    mariadb-install-db --user=mysql --basedir=/usr --datadir=/var/lib/mysql
[2021-04-09T10:21:31+0300] [ALPM] installed akonadi (20.12.3-1)
[2021-04-09T10:21:31+0300] [ALPM] installed qca (2.3.2-1)
[2021-04-09T10:21:31+0300] [ALPM] installed kdepim-runtime (20.12.3-1)
[2021-04-09T10:21:31+0300] [ALPM] installed kontactinterface (20.12.3-1)
[2021-04-09T10:21:31+0300] [ALPM] installed calendarsupport (20.12.3-1)
[2021-04-09T10:21:31+0300] [ALPM] installed kdiagram (2.8.0-1)
[2021-04-09T10:21:31+0300] [ALPM] installed eventviews (20.12.3-1)
[2021-04-09T10:21:31+0300] [ALPM] installed incidenceeditor (20.12.3-1)
[2021-04-09T10:21:31+0300] [ALPM] installed kuserfeedback (1.0.0-1)
[2021-04-09T10:21:31+0300] [ALPM] installed korganizer (20.12.3-1)
[2021-04-09T10:21:31+0300] [ALPM] transaction completed
[2021-04-09T10:21:31+0300] [ALPM] running '20-systemd-sysusers.hook'...
[2021-04-09T10:21:31+0300] [ALPM-SCRIPTLET] Creating group mysql with gid 967.
[2021-04-09T10:21:31+0300] [ALPM-SCRIPTLET] Creating user mysql (MariaDB) with uid 967 and gid 967.
[2021-04-09T10:21:31+0300] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-04-09T10:21:31+0300] [ALPM] running '30-systemd-tmpfiles.hook'...
[2021-04-09T10:21:31+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-09T10:21:31+0300] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-04-09T10:21:31+0300] [ALPM] running 'update-desktop-database.hook'...
[2021-04-09T10:21:31+0300] [ALPM] running 'update-mime-database.hook'...
[2021-04-09T10:46:34+0300] [PACMAN] Running '/usr/bin/pacman -Syyu --ignore=vte-common --ignore=audacious-gtk3 --ignore=pinta --ignore=audacious-plugins-gtk3 --ignore=gnome-terminal --ignore=pacman-mirrorlist --ignore=linux --ignore=linux-api-headers --ignore=linux-headers --ignore=gnome-screenshot --ignore=adwaita-icon-theme --ignore=wine --ignore=vte3 --ignore=gnome-system-monitor'
[2021-04-09T10:46:34+0300] [PACMAN] synchronizing package lists
[2021-04-09T10:46:35+0300] [PACMAN] starting full system upgrade
[2021-04-09T10:46:36+0300] [ALPM] transaction started
[2021-04-09T10:46:36+0300] [ALPM] upgraded glib2 (2.68.0-5 -> 2.68.1-1)
[2021-04-09T10:46:36+0300] [ALPM] upgraded glib2-docs (2.68.0-5 -> 2.68.1-1)
[2021-04-09T10:46:36+0300] [ALPM] upgraded lib32-glib2 (2.68.0-5 -> 2.68.1-1)
[2021-04-09T10:46:36+0300] [ALPM] transaction completed
[2021-04-09T10:46:36+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-09T19:48:39+0300] [PACMAN] Running '/usr/bin/pacman -Syyu --ignore=vte-common --ignore=audacious-plugins-gtk3 --ignore=pacman-mirrorlist --ignore=gnome-terminal --ignore=audacious-gtk3 --ignore=linux-headers --ignore=gnome-screenshot --ignore=vte3 --ignore=linux-api-headers --ignore=adwaita-icon-theme --ignore=wine --ignore=gnome-system-monitor --ignore=pinta --ignore=linux'
[2021-04-09T19:48:39+0300] [PACMAN] synchronizing package lists
[2021-04-09T19:48:40+0300] [PACMAN] starting full system upgrade
[2021-04-09T19:48:41+0300] [ALPM] transaction started
[2021-04-09T19:48:42+0300] [ALPM] upgraded libmwaw (0.3.17-1 -> 0.3.18-1)
[2021-04-09T19:48:42+0300] [ALPM] transaction completed
[2021-04-09T19:48:42+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-10T08:06:41+0300] [PACMAN] Running '/usr/bin/pacman -Syyu --ignore=audacious-gtk3 --ignore=gnome-screenshot --ignore=pacman-mirrorlist --ignore=linux-api-headers --ignore=gnome-terminal --ignore=audacious-plugins-gtk3 --ignore=gnome-system-monitor --ignore=linux-headers --ignore=wine --ignore=adwaita-icon-theme --ignore=pinta --ignore=vte-common --ignore=linux --ignore=vte3'
[2021-04-10T08:06:41+0300] [PACMAN] synchronizing package lists
[2021-04-10T08:06:42+0300] [PACMAN] starting full system upgrade
[2021-04-10T08:06:47+0300] [ALPM] transaction started
[2021-04-10T08:06:47+0300] [ALPM] upgraded gdk-pixbuf2 (2.42.4-1 -> 2.42.6-1)
[2021-04-10T08:06:47+0300] [ALPM] upgraded expat (2.2.10-2 -> 2.3.0-1)
[2021-04-10T08:06:47+0300] [ALPM] upgraded libcups (1:2.3.3op2-1 -> 1:2.3.3op2-2)
[2021-04-10T08:06:47+0300] [ALPM] upgraded gtk-update-icon-cache (1:4.2.0-2 -> 1:4.2.0-3)
[2021-04-10T08:06:47+0300] [ALPM] upgraded gtk3 (1:3.24.28-1 -> 1:3.24.28-2)
[2021-04-10T08:06:47+0300] [ALPM] upgraded amtk (5.2.0-2 -> 5.3.1-1)
[2021-04-10T08:06:48+0300] [ALPM] upgraded caprine (2.52.2-1 -> 2.52.3-1)
[2021-04-10T08:06:48+0300] [ALPM] upgraded cups (1:2.3.3op2-1 -> 1:2.3.3op2-2)
[2021-04-10T08:06:48+0300] [ALPM] upgraded geoclue (2.5.7-2 -> 2.5.7-3)
[2021-04-10T08:06:48+0300] [ALPM] upgraded gtk4 (1:4.2.0-2 -> 1:4.2.0-3)
[2021-04-10T08:06:48+0300] [ALPM] upgraded lib32-expat (2.2.10-1 -> 2.3.0-2)
[2021-04-10T08:06:48+0300] [ALPM] upgraded lib32-gdk-pixbuf2 (2.42.4-1 -> 2.42.6-1)
[2021-04-10T08:06:48+0300] [ALPM] upgraded lua (5.4.2-1 -> 5.4.3-1)
[2021-04-10T08:06:48+0300] [ALPM] upgraded npm-check-updates (11.4.0-1 -> 11.4.1-1)
[2021-04-10T08:06:49+0300] [ALPM] transaction completed
[2021-04-10T08:06:49+0300] [ALPM] running '20-systemd-sysusers.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running '30-systemd-daemon-reload.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running '30-systemd-tmpfiles.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running '30-systemd-update.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running 'dbus-reload.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running 'glib-compile-schemas.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running 'gtk-query-immodules-3.0.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running 'gtk-update-icon-cache.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running 'gtk4-querymodules.hook'...
[2021-04-10T08:06:49+0300] [ALPM] running 'update-desktop-database.hook'...
rollin_eng
Veteran User
Posts: 3922
Joined: Wed May 04, 2011 11:06 pm

Re: Handbrake doesn't remember the source folder after today's packages update

Post by rollin_eng »

Is it related to this:

viewtopic.php?f=13&t=40607
Woodstock
Veteran User
Posts: 4101
Joined: Tue Aug 27, 2013 6:39 am

Re: Handbrake doesn't remember the source folder after today's packages update

Post by Woodstock »

Also note that the Arch repository is not under the control of the handbrake team, and is listed as a "known broken" distribution. It would seem you've run into one of the reasons for that. A change of packages for the OS should not affect a properly-built handbrake install.
Valso
Posts: 15
Joined: Sat Jul 11, 2020 8:47 am

Re: Handbrake doesn't remember the source folder after today's packages update

Post by Valso »

Woodstock wrote: Sat Apr 10, 2021 1:40 pm is listed as a "known broken" distribution.
:lol: :lol: :lol:
It's broken only to incompetent users who don't know how to install and/or use it. Arch is idiot proof but it's not idiot friendly and that's most probably the reason it has been listed as a "known broken distribution".
And where do you think the Arch maintainers get the handbrake package from, if not from the handbrake website? They certainly don't get it from the air! :lol:

Handbrake compiled from source keeps doing the same thing I described in the first post, so I suggest you abandon the arrogant claims that it's the OS's fault! Also, clearly you don't know much about linux in general, otherwise you wouldn't say that updated packages wouldn't cause a problem. Installing the wrong version of the lua package causes conky to stop working bc at some point last year major changes were made in both lua and conky and the syntax of the config files for conky. That's just one example of how updating packages can cause things to stop working properly and I keep going on and on with other examples. So I suggest you do some reading before you talk BS and let the hanbrake team speak for themselves!
Valso
Posts: 15
Joined: Sat Jul 11, 2020 8:47 am

Re: Handbrake doesn't remember the source folder after today's packages update

Post by Valso »

rollin_eng wrote: Sat Apr 10, 2021 10:33 am Is it related to this:

viewtopic.php?f=13&t=40607
I can't edit my previous post to add an answer to you: it's similar but it's not the same. In my case every single press of "open source" button opens the home directory instead of the last used directory.
rollin_eng
Veteran User
Posts: 3922
Joined: Wed May 04, 2011 11:06 pm

Re: Handbrake doesn't remember the source folder after today's packages update

Post by rollin_eng »

Can you try the flatpak version?
User avatar
s55
HandBrake Team
Posts: 9971
Joined: Sun Dec 24, 2006 1:05 pm

Re: Handbrake doesn't remember the source folder after today's packages update

Post by s55 »

Given HandBrake wasn't updated, either GTK updates introduced a bug, or introduced an incompatibility. It's not uncommon. Sometimes it's fixed in future updates, sometimes we need to make code changes for it.


On the other point:
ARCH AUR was historically hostile towards HandBrake, shipping modified builds of HandBrake that linked against incompatible system libraries. They were removed from our blacklist in 2018 after someone cared enough to fix the situation. That said, their builds are not validated by us so your mileage may vary. The main community repo packages look ok at first glance of their pkg files.
mduell
Veteran User
Posts: 7438
Joined: Sat Apr 21, 2007 8:54 pm

Re: Handbrake doesn't remember the source folder after today's packages update

Post by mduell »

Valso wrote: Sun Apr 11, 2021 7:55 pm
Woodstock wrote: Sat Apr 10, 2021 1:40 pm is listed as a "known broken" distribution.
:lol: :lol: :lol:
It's broken only to incompetent users who don't know how to install and/or use it. Arch is idiot proof but it's not idiot friendly and that's most probably the reason it has been listed as a "known broken distribution".
And where do you think the Arch maintainers get the handbrake package from, if not from the handbrake website? They certainly don't get it from the air! :lol:
Various Linux distros make their own HB package, in particular making library choices for political or ideological reasons rather than functional ones (or even checking that they work).
Valso
Posts: 15
Joined: Sat Jul 11, 2020 8:47 am

Re: Handbrake doesn't remember the source folder after today's packages update

Post by Valso »

Handbrake compiled from source (taken from HB's page) still doesn't remember the source directory.
However, I found a workaround and hopefully you'll fix that problem some day in the next 10 years so.
Simply add the desired source dir to the bookmarks of the file manager which bookmarks also appear in the file selection dialog window. Thus I won't have manually navigate through folders and subfolders until I reach the episodes I need.
Post Reply